## About Meeting Planner

Meeting Planner helps you find the best time to schedule a meeting across several timezones.
It's based on the availibity of all participants for specific days.

## How does it work?

#### For the meeting manager

1. Enter a title and description(optional)
2. Select the possible days on the calendar
3. Select a deadline for responses
4. Send invitations to potential participants
5. Wait either for all participants to respond or for the deadline (whichever happens first)
6. Choose and set the meeting date

Optional:

-   Choose the minimum of people for the meeting to take place (quorum)
-   Choose who needs to be there for the meeting to happen

#### For the participants

1. Select your availability on the calendar: you can choose between (Yes / No / Ideal)
2. Wait for the meeting manager to confirm the meeting date

## Code and architecture

-   [Backend](https://git.armada.digital/meeting-planner/backend)
-   [Frontend](https://git.armada.digital/meeting-planner/frontend)
-   [API endpoints](./api-documentation.md)
-   [Database design](https://dbdiagram.io/d/5e769ab14495b02c3b88936f)
-   [Flowchart](https://app.diagrams.net/#Uhttps://git.armada.digital/meeting-planner/documentation/raw/branch/master/meetingscheduler.drawio)
